<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AgencyRead StructType
 * @subpackage Structs
 */
class AgencyRead extends AbstractStructBase
{
    /**
     * The AgencyReadRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AgencyRead
     */
    public $AgencyReadRQ;
    /**
     * Constructor method for AgencyRead
     * @uses AgencyRead::setAgencyReadRQ()
     * @param \StructType\JP_AgencyRead $agencyReadRQ
     */
    public function __construct(\StructType\JP_AgencyRead $agencyReadRQ = null)
    {
        $this
            ->setAgencyReadRQ($agencyReadRQ);
    }
    /**
     * Get AgencyReadRQ value
     * @return \StructType\JP_AgencyRead|null
     */
    public function getAgencyReadRQ()
    {
        return $this->AgencyReadRQ;
    }
    /**
     * Set AgencyReadRQ value
     * @param \StructType\JP_AgencyRead $agencyReadRQ
     * @return \StructType\AgencyRead
     */
    public function setAgencyReadRQ(\StructType\JP_AgencyRead $agencyReadRQ = null)
    {
        $this->AgencyReadRQ = $agencyReadRQ;
        return $this;
    }
}
